> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a group

> Creates a new group in your Domo instance.



## OpenAPI

````yaml /openapi/platform/group.yaml POST /v1/groups
openapi: 3.1.0
info:
  title: Group API
  version: '1.0'
  description: >-
    Group objects allow you to manage a group and users associated to a group.
    Groups allow you to set access rights, send Buzz messages, or share content
    that stays consistent even when the group members may change.  The API
    allows you to create, delete, retrieve a user or a list of users, and update
    user information.


    ### The Group Object


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | User's full name

    id | String | The ID of the group

    name | String | The name of the group

    default | Boolean | Whether the group is the default group

    active | Boolean | The active status of the group

    creatorId | String | The ID of the user who created the group

    memberCount | Number | The member count of the group

    userIds | Array | The IDs of the users in the group
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/groups:
    post:
      summary: Create a group
      description: Creates a new group in your Domo instance.
      operationId: post-v1-groups
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  name: Groupy Group
              properties:
                name:
                  type: string
                  description: The name of the group
              required:
                - name
            examples:
              Example 1:
                value:
                  name: Groupy Group
        description: You must include the name of the group to create.
      responses:
        '200':
          description: >-
            Returns a group object when successful. The returned group will have
            user attributes based on the information that was provided when
            group was created.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  name:
                    type: string
                  active:
                    type: boolean
                  creatorId:
                    type: string
                  default:
                    type: boolean
                x-examples:
                  Example 1:
                    id: 876655018
                    name: Groupy Group
                    active: true
                    creatorId: '87659738'
                    default: false
              examples:
                Example 1:
                  value:
                    id: 876655018
                    name: Groupy Group
                    active: true
                    creatorId: '87659738'
                    default: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````